Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::LineIntersection Class Reference

ライン交差 More...

`#include <LineIntersection.h>`

List of all members.

## Static Public Member Functions
bool | intersect (const Line &line, const Vector3 &point, float range=Math::epsilon)
| 点交差
bool | intersect (const Line &line0, const Line &line1, float range=Math::epsilon)
| 交差
bool | intersect (const Line &line, const OrientedBox &ob)
| 指向性ボックス交差
bool | intersect (const Line &line, const Plane &plane)
| 平面交差
bool | intersect (const Line &line, const Ray &ray, float range=Math::epsilon)
| レイ交差
bool | intersect (const Line &line, const Segment &segment, float range=Math::epsilon)
| セグメント交差
bool | intersect (const Line &line, const Sphere &sphere)
| 球交差
bool | intersect (const Line &line, const Triangle &triangle)
| 三角交差

## Detailed Description

ライン交差

Definition at line 42 of file LineIntersection.h.

## Member Function Documentation

bool Lamp::LineIntersection::intersect | ( | const Line & | line,
|  | const Triangle & | triangle
| ) | `[static]`

  | 三角交差 Parameters:
  line | ライン
  triangle | 三角
Returns: 交差していればtrue Definition at line 99 of file LineIntersection.cpp. References Assert.

bool Lamp::LineIntersection::intersect | ( | const Line & | line,
|  | const Sphere & | sphere
| ) | `[static]`

  | 球交差 Parameters:
  line | ライン
  sphere | 球
Returns: 交差していればtrue Definition at line 89 of file LineIntersection.cpp. References Lamp::Sphere::getCenter(), Lamp::Sphere::getRadius(), and Lamp::Line::getSquaredDistance().

bool Lamp::LineIntersection::intersect | ( | const Line & | line,
|  | const Segment & | segment,
|  | float | range = Math::epsilon
| ) | `[static]`

  | セグメント交差 Parameters:
  line | ライン
  segment | セグメント
  range | 交差範囲
Returns: 交差していればtrue Definition at line 81 of file LineIntersection.cpp. References Lamp::Line::getSquaredDistance().

bool Lamp::LineIntersection::intersect | ( | const Line & | line,
|  | const Ray & | ray,
|  | float | range = Math::epsilon
| ) | `[static]`

  | レイ交差 Parameters:
  line | ライン
  ray | レイ
  range | 交差範囲
Returns: 交差していればtrue Definition at line 73 of file LineIntersection.cpp. References Lamp::Line::getSquaredDistance().

bool Lamp::LineIntersection::intersect | ( | const Line & | line,
|  | const Plane & | plane
| ) | `[static]`

  | 平面交差 Parameters:
  line | ライン
  plane | 平面
Returns: 交差していればtrue Definition at line 59 of file LineIntersection.cpp. References Lamp::Vector3::dotProduct(), Lamp::Line::getDirection(), Lamp::Plane::getDistance(), Lamp::Plane::getNormal(), and Lamp::Line::getOrigin().

bool Lamp::LineIntersection::intersect | ( | const Line & | line,
|  | const OrientedBox & | ob
| ) | `[static]`

  | 指向性ボックス交差 Parameters:
  line | ライン
  ob | 指向性ボックス
Returns: 交差していればtrue Definition at line 51 of file LineIntersection.cpp. References Assert.

bool Lamp::LineIntersection::intersect | ( | const Line & | line0,
|  | const Line & | line1,
|  | float | range = Math::epsilon
| ) | `[static]`

  | 交差 Parameters:
  line0 | ライン
  line1 | ライン
  range | 交差範囲
Returns: 交差していればtrue Definition at line 43 of file LineIntersection.cpp. References Lamp::Line::getSquaredDistance().

bool Lamp::LineIntersection::intersect | ( | const Line & | line,
|  | const Vector3 & | point,
|  | float | range = Math::epsilon
| ) | `[static]`

  | 点交差 Parameters:
  line | ライン
  point | 点
  range | 交差範囲
Returns: 交差していればtrue Definition at line 34 of file LineIntersection.cpp. References Assert.

The documentation for this class was generated from the following files:

- LineIntersection.h
- LineIntersection.cpp